description: >
  A COV on change rule with deep path key example.

metadata:
  name: COV on change with deep path

resources:
  mapping:
    type: Cybus::Mapping
    properties:
      mappings:
        - subscribe:
            topic: 'machine/sensor/raw'
          publish:
            topic: 'machine/sensor/changed'
          rules:
            - cov:
                key: 
                  - values
                  - 0
                  - temperature
